# This file is generated by the Geant4 CMake buildsystem and should not be editted
#
# This file stores paths and settings to external libraries found and used by this
# install of Geant4 when it was built.

macro(geant4_set_and_check_package_variable _name _value _type _docstring)
  if(DEFINED ${_name})
    if(NOT ("${${_name}}" STREQUAL "${_value}"))
      message(WARNING "Value of '${_name}' is already set and does not match value set at Geant4 build-time")
    endif()
  else()
    set(${_name} ${_value} CACHE ${_type} "${_docstring}")
  endif()
endmacro()


# CLHEP Build Time Settings
geant4_set_and_check_package_variable(CLHEP_DIR "$ENV{CLHEP_BASE_DIR}/lib/CLHEP-2.4.1.2" PATH "The directory containing a CMake configuration file for CLHEP.")

# EXPAT Build Time Settings
geant4_set_and_check_package_variable(EXPAT_INCLUDE_DIR "/usr/include" PATH "Path to a file.")
geant4_set_and_check_package_variable(EXPAT_LIBRARY "/usr/lib/libexpat.dylib" FILEPATH "Path to a library.")

# XercesC Build Time Settings
geant4_set_and_check_package_variable(XercesC_INCLUDE_DIR "$ENV{XERCESCROOT}/include" PATH "Xerces-C++ include directory")
geant4_set_and_check_package_variable(XercesC_LIBRARY_DEBUG "XercesC_LIBRARY_DEBUG-NOTFOUND" FILEPATH "Xerces-C++ libraries (debug)")
geant4_set_and_check_package_variable(XercesC_LIBRARY_RELEASE "$ENV{XERCESCROOT}/lib/libxerces-c.dylib" FILEPATH "Xerces-C++ libraries (release)")

# X11 Build Time Settings
geant4_set_and_check_package_variable(X11_X11_INCLUDE_PATH "/usr/X11R6/include" PATH "Path to a file.")
geant4_set_and_check_package_variable(X11_X11_LIB "/usr/X11R6/lib/libX11.dylib" FILEPATH "Path to a library.")
geant4_set_and_check_package_variable(X11_ICE_INCLUDE_PATH "/usr/X11R6/include" PATH "Path to a file.")
geant4_set_and_check_package_variable(X11_ICE_LIB "/usr/X11R6/lib/libICE.dylib" FILEPATH "Path to a library.")
geant4_set_and_check_package_variable(X11_SM_INCLUDE_PATH "/usr/X11R6/include" PATH "Path to a file.")
geant4_set_and_check_package_variable(X11_SM_LIB "/usr/X11R6/lib/libSM.dylib" FILEPATH "Path to a library.")
geant4_set_and_check_package_variable(X11_Xext_INCLUDE_PATH "/usr/X11R6/include" PATH "Path to a file.")
geant4_set_and_check_package_variable(X11_Xext_LIB "/usr/X11R6/lib/libXext.dylib" FILEPATH "Path to a library.")
geant4_set_and_check_package_variable(X11_Xmu_INCLUDE_PATH "/usr/X11R6/include" PATH "Path to a file.")
geant4_set_and_check_package_variable(X11_Xmu_LIB "/usr/X11R6/lib/libXmu.dylib" FILEPATH "Path to a library.")
geant4_set_and_check_package_variable(X11_Xt_INCLUDE_PATH "/usr/X11R6/include" PATH "Path to a file.")
geant4_set_and_check_package_variable(X11_Xt_LIB "/usr/X11R6/lib/libXt.dylib" FILEPATH "Path to a library.")

# OpenGL Build Time Settings
geant4_set_and_check_package_variable(OPENGL_INCLUDE_DIR "/System/Library/Frameworks/OpenGL.framework" PATH "Include for OpenGL on OS X")
geant4_set_and_check_package_variable(OPENGL_gl_LIBRARY "/System/Library/Frameworks/OpenGL.framework" FILEPATH "OpenGL library for OS X")
geant4_set_and_check_package_variable(OPENGL_glu_LIBRARY "/System/Library/Frameworks/OpenGL.framework" FILEPATH "GLU library for OS X (usually same as OpenGL library)")

# XQuartzGL Build Time Settings
geant4_set_and_check_package_variable(XQuartzGL_INCLUDE_DIR "/usr/X11R6/include" PATH "Path to a file.")
geant4_set_and_check_package_variable(XQuartzGL_gl_LIBRARY "/usr/X11R6/lib/libGL.dylib" FILEPATH "Path to a library.")
geant4_set_and_check_package_variable(XQuartzGL_glu_LIBRARY "/usr/X11R6/lib/libGLU.dylib" FILEPATH "Path to a library.")
